# Mesh

| Recipe | Concepts |
|--------|----------|
| [Extruded meshes](mesh/extrude.md) | Extrusions, options, parameters, colors |
| [Mesh sizes](mesh/mesh-sizes.md) | Mesh sizes, volume holes |
| [Transfinite meshing](mesh/transfinite.md) | Transfinite meshing, recombination, smoothing |
| [Background meshes](./mesh/background.md) | Background mesh, size fields |
| [Size fields](./mesh/size-fields.md) | Size fields |
| [Quad meshes](./mesh/quad.md) | Recombination, size fields |
| [Compound meshes](./mesh/compound.md) | Compound meshing |
| [Remesh a STL file](mesh/stl.md) | STL processing |
| [Homology](./mesh/homology.md) | Mesh homology and cohomology |
| [Embedded points, lines and surfaces](./mesh/embedded.md) | `GEO` kernel, embedding |
| [Anisotropic background mesh](./mesh/anisotropic.md) | Background mesh, size fields |
| [Periodic meshes](./mesh/periodic.md) | Periodic meshing, model boundaries |
| [Mesh partitions](./mesh/partition.md) | Mesh partitions, `METIS` |
| [Create a mesh of connected line segments](mesh/line-segments.md) | Creating mesh elements by hand|
